Après avoir monté une belle machine pour faire des backups, on a décidé de faire un petit wiki/subversion viewer pour mon environnement de travail. Tout de suite je m'empresse à utiliser le logiciel très hype de ces temps-ci, trac. Voici ce que je vois en caractère gras en haut de la page:

WARNING: up2date command installs Trac 0.10... These instructions are valid for both 0.9 and 0.10 WARNING: Trac .10 will not function on RHEL x86_64 due to ClearSilver dependencies. Consider .11 instead.

J'étais très heureux d'avoir trouvé cela car ça faisait juste 2 heures que je m'acharnais à le faire fonctionner via les rpm de Dag Wieers pour finalement me rendre compte qu'il y a un bug avec python-clearsilver. J'ai fouillé un peu sur internet et je suis tombé sur un lien qui disait de rebuilder le rpm source de clearsilver pour Fedora Core 5. Ayant une bonne expérience à créer / modifier des rpm l'idée n'était pas bête, j'ai tout de suite installé le rpm source/ buildé / installé le package final pour x86_64 et bing bang pouf c'est magique. Mais alors, tout ne va pas si bien que cela, c'est au moment ou j'upload mes premiers sources php dans subversion et que je tente de les afficher, rien ne sort. J'active les logs de trac reload le document, rien, toujours le superbe message "HTML preview not available". En fouillant un peu sur google.com j'ai vu que des gens avaient des problèmes avec trac et php 4.3. N'ayant rien qui utilise php sur ce serveur je me suis dépêché d'installer des rpm de php provenant de centosplus. Là je repars apache, tout fonctionne #1. Il reste à me familiariser plus avec les permissions dans subversion et dans trac.

Demain sera un autre jour!